from datetime import datetime

from netforce.model import Model, fields

class PeriodLine(Model):
    _name="clinic.period.line"
    _string="Period Line"
    
    def _get_total(self,ids,context={}):
        res={}
        fmt='%Y-%m-%d'
        for obj in self.browse(ids):
            start=datetime.strptime(obj.date_start,fmt)
            stop=datetime.strptime(obj.date_stop,fmt)
            days=(stop-start).days
            res[obj.id]=days
        return res

    _fields={
        "period_id": fields.Many2One("clinic.period", "Period"),
        'date_start': fields.Date("Date Start"),
        'date_stop': fields.Date("Date Stop"),
        'day_total': fields.Integer("Total Day",function="_get_total"),
        'state': fields.Selection([['draft','Draft'],['done','Done']],"State"),
        'close': fields.Boolean("Close"),
    }
    
    _defaults={
        'state': 'draft',
        'close': False,
    }

PeriodLine.register()
